/*
Copyright 2018 The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
// Code generated by client-gen. DO NOT EDIT.

package v1

import (
	v1 "github.com/openebs/k8s-snapshot-client/snapshot/pkg/apis/volumesnapshot/v1"
	scheme "github.com/openebs/k8s-snapshot-client/snapshot/pkg/client/clientset/versioned/scheme"
	meta_v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	rest "k8s.io/client-go/rest"
)

// VolumeSnapshotDatasGetter has a method to return a VolumeSnapshotDataInterface.
// A group's client should implement this interface.
type VolumeSnapshotDatasGetter interface {
	VolumeSnapshotDatas() VolumeSnapshotDataInterface
}

// VolumeSnapshotDataInterface has methods to work with VolumeSnapshotData resources.
type VolumeSnapshotDataInterface interface {
	Create(*v1.VolumeSnapshotData) (*v1.VolumeSnapshotData, error)
	Update(*v1.VolumeSnapshotData) (*v1.VolumeSnapshotData, error)
	UpdateStatus(*v1.VolumeSnapshotData) (*v1.VolumeSnapshotData, error)
	Delete(name string, options *meta_v1.DeleteOptions) error
	DeleteCollection(options *meta_v1.DeleteOptions, listOptions meta_v1.ListOptions) error
	Get(name string, options meta_v1.GetOptions) (*v1.VolumeSnapshotData, error)
	List(opts meta_v1.ListOptions) (*v1.VolumeSnapshotDataList, error)
	Watch(opts meta_v1.ListOptions) (watch.Interface, error)
	Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1.VolumeSnapshotData, err error)
	VolumeSnapshotDataExpansion
}

// volumeSnapshotDatas implements VolumeSnapshotDataInterface
type volumeSnapshotDatas struct {
	client rest.Interface
}

// newVolumeSnapshotDatas returns a VolumeSnapshotDatas
func newVolumeSnapshotDatas(c *VolumesnapshotV1Client) *volumeSnapshotDatas {
	return &volumeSnapshotDatas{
		client: c.RESTClient(),
	}
}

// Get takes name of the volumeSnapshotData, and returns the corresponding volumeSnapshotData object, and an error if there is any.
func (c *volumeSnapshotDatas) Get(name string, options meta_v1.GetOptions) (result *v1.VolumeSnapshotData, err error) {
	result = &v1.VolumeSnapshotData{}
	err = c.client.Get().
		Resource("volumesnapshotdatas").
		Name(name).
		VersionedParams(&options, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// List takes label and field selectors, and returns the list of VolumeSnapshotDatas that match those selectors.
func (c *volumeSnapshotDatas) List(opts meta_v1.ListOptions) (result *v1.VolumeSnapshotDataList, err error) {
	result = &v1.VolumeSnapshotDataList{}
	err = c.client.Get().
		Resource("volumesnapshotdatas").
		VersionedParams(&opts, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// Watch returns a watch.Interface that watches the requested volumeSnapshotDatas.
func (c *volumeSnapshotDatas) Watch(opts meta_v1.ListOptions) (watch.Interface, error) {
	opts.Watch = true
	return c.client.Get().
		Resource("volumesnapshotdatas").
		VersionedParams(&opts, scheme.ParameterCodec).
		Watch()
}

// Create takes the representation of a volumeSnapshotData and creates it.  Returns the server's representation of the volumeSnapshotData, and an error, if there is any.
func (c *volumeSnapshotDatas) Create(volumeSnapshotData *v1.VolumeSnapshotData) (result *v1.VolumeSnapshotData, err error) {
	result = &v1.VolumeSnapshotData{}
	err = c.client.Post().
		Resource("volumesnapshotdatas").
		Body(volumeSnapshotData).
		Do().
		Into(result)
	return
}

// Update takes the representation of a volumeSnapshotData and updates it. Returns the server's representation of the volumeSnapshotData, and an error, if there is any.
func (c *volumeSnapshotDatas) Update(volumeSnapshotData *v1.VolumeSnapshotData) (result *v1.VolumeSnapshotData, err error) {
	result = &v1.VolumeSnapshotData{}
	err = c.client.Put().
		Resource("volumesnapshotdatas").
		Name(volumeSnapshotData.Name).
		Body(volumeSnapshotData).
		Do().
		Into(result)
	return
}

// UpdateStatus was generated because the type contains a Status member.
// Add a +genclient:noStatus comment above the type to avoid generating UpdateStatus().

func (c *volumeSnapshotDatas) UpdateStatus(volumeSnapshotData *v1.VolumeSnapshotData) (result *v1.VolumeSnapshotData, err error) {
	result = &v1.VolumeSnapshotData{}
	err = c.client.Put().
		Resource("volumesnapshotdatas").
		Name(volumeSnapshotData.Name).
		SubResource("status").
		Body(volumeSnapshotData).
		Do().
		Into(result)
	return
}

// Delete takes name of the volumeSnapshotData and deletes it. Returns an error if one occurs.
func (c *volumeSnapshotDatas) Delete(name string, options *meta_v1.DeleteOptions) error {
	return c.client.Delete().
		Resource("volumesnapshotdatas").
		Name(name).
		Body(options).
		Do().
		Error()
}

// DeleteCollection deletes a collection of objects.
func (c *volumeSnapshotDatas) DeleteCollection(options *meta_v1.DeleteOptions, listOptions meta_v1.ListOptions) error {
	return c.client.Delete().
		Resource("volumesnapshotdatas").
		VersionedParams(&listOptions, scheme.ParameterCodec).
		Body(options).
		Do().
		Error()
}

// Patch applies the patch and returns the patched volumeSnapshotData.
func (c *volumeSnapshotDatas) Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1.VolumeSnapshotData, err error) {
	result = &v1.VolumeSnapshotData{}
	err = c.client.Patch(pt).
		Resource("volumesnapshotdatas").
		SubResource(subresources...).
		Name(name).
		Body(data).
		Do().
		Into(result)
	return
}
